summaryrefslogtreecommitdiff
path: root/tests/rm/rm4.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/rm4.sh')
-rwxr-xr-xtests/rm/rm4.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/rm/rm4.sh b/tests/rm/rm4.sh
index 60eb4a78..e0f141fd 100755
--- a/tests/rm/rm4.sh
+++ b/tests/rm/rm4.sh
@@ -1,7 +1,7 @@
#!/bin/sh
# ensure that 'rm dir' fails without --recursive
-# Copyright (C) 2002-2014 Free Software Foundation, Inc.
+# Copyright (C) 2002-2015 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -24,7 +24,7 @@ mkdir dir || framework_failure_
# This should fail.
-rm dir > /dev/null 2>&1 && fail=1
+returns_ 1 rm dir > /dev/null 2>&1 || fail=1
test -d dir || fail=1